using System.Collections.ObjectModel;
using Telerik.XamarinForms.DataControls;
using Telerik.XamarinForms.DataControls.ListView;
using Xamarin.Forms;

namespace SampleApp
{
    public class ViewModel
    {
        public ViewModel()
        {
            this.Items = this.GetItems(10);
        }

        public ObservableCollection<Item> Items { get; set; }

        public void ListViewItemTapped(Item item)
        {
        }

        public void ListViewItemSwipeCompleted(Item item)
        {
        }

        private ObservableCollection<Item> GetItems(int count)
        {
            var items = new ObservableCollection<Item>();

            for (int i = 0; i < count; i++)
            {
                items.Add(new Item { Title = string.Format("item {0}", i), Value = i });
            }

            return items;
        }
    }
}